/* File:        $Id: FreeSpaceProvider.java 924 2009-07-29 17:56:16Z svc $
 * Revision:    $Rev: 924 $
 * Author:      $Author: svc $
 * Date:        $Date: 2009-07-29 19:56:16 +0200 (Wed, 29 Jul 2009) $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  
 * USA
 */

package dk.netarkivet.common.utils;

import java.io.File;

/**
 * This interface encapsulates providing the number of bytes
 * free on the file system.
 *
 */
public interface FreeSpaceProvider {
    /**
    * @param f a given file
    * @return the number of bytes free on the file system where file f resides.
    * 0 if the file cannot be found.
    */
    long getBytesFree(File f);
}
