/* $Id: KeyValuePairTester.java 554 2008-12-03 20:41:00Z svc $
 * $Revision: 554 $
 * $Date: 2008-12-03 21:41:00 +0100 (Wed, 03 Dec 2008) $
 * $Author: svc $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package dk.netarkivet.common.utils;

import junit.framework.TestCase;

/**
 * 
 * Unit tests for the KeyValuePair class.   
 *
 */
public class KeyValuePairTester extends TestCase{

    public void testGetValue() {
        KeyValuePair<String, String> pair = new KeyValuePair<String, String>("key", "value");
        assertTrue(pair.getKey().equals("key"));
        assertTrue(pair.getValue().equals("value"));
    }
    
    public void testSetValue() {
        KeyValuePair<String, String> pair = new KeyValuePair<String, String>("key", "value");
        try {
            pair.setValue("newValue");
            fail("Should not be able to set value");
        } catch (UnsupportedOperationException e) {
            // Expected behaviour
        }
    }
}
