/* File:        $Id: TestConfigurationIF.java 779 2009-03-25 00:10:03Z svc $
 * Revision:    $Revision: 779 $
 * Author:      $Author: svc $
 * Date:        $Date: 2009-03-25 01:10:03 +0100 (Wed, 25 Mar 2009) $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package dk.netarkivet.testutils.preconfigured;

/**
 *
 * This interface should be implemented by classes
 * that encapsulate one particular aspect to be handled
 * by setUp() and tearDown() in many unit tests.
 */
interface TestConfigurationIF {
    /**
     * Set up the test environment to handle the particular
     * aspect that we handle.
     */
    public void setUp();
    /**
     * Reverse the effect of setUp(), setting the environment
     * back to its standard state.
     */
    public void tearDown();
}
